
Foreman - Bug #789

puppetmaster is no longer correct in Host#info after #765

03/25/2011 06:30 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: External Nodes   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The info method returns the puppetmaster, which may be a SmartProxy reference. This cannot be directly interpolated into the

external node config.

This method should also truncate "puppet.a.b.com" to "puppet"

Associated revisions

Revision dbb7c2f2 - 03/29/2011 05:27 AM - Paul Kelly

Fixes #789 - External node interpolation of puppetmaster

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 03/25/2011 06:56 AM - Paul Kelly

- Status changed from New to Ready For Testing

I hope that I have not missed something here. This does look like the best way to go if the proxies are of the form https://puppet.a.b.c:1234 for hosts.

However it is not so clear whether this is right for the hostgroup page

#2 - 03/27/2011 07:49 AM - Ohad Levy

- Target version set to 0.2

#3 - 03/29/2011 09:40 AM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset dbb7c2f28c16840743d7c0c8e50c0b82e8b36006.

#4 - 03/29/2011 12:45 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
